#
# SiteBuilder configuration file
#

#NameVirtualHost __hostip__:__port__ 
Listen	__port__

<VirtualHost __hostip__:__port__ 127.0.0.1:__port__>

    DocumentRoot __sitebuilder_path__
    ServerName __vhostname__
    ErrorLog __error_log__
    DirectoryIndex index.php
    AddDefaultCharset UTF-8

    AddHandler application/x-httpd-php5 .php
    ScriptAlias /bin __php_path__
#SetEnv PHPRC __phprc_path__
    Action application/x-httpd-php5 /bin/__php__
	
__ssl__

    <Directory __sitebuilder_path__>
        Options +ExecCGI +FollowSymLinks
        Options -Indexes
        AllowOverride All
        Allow from all
    </Directory>
    
    <Directory __sitebuilder_path__/ServiceFacade>
        AddHandler application/x-httpd-php5 .asmx
    </Directory>
        
    <Directory __sitebuilder_path__/sites/*/*/attachments>
        Options -ExecCGI
        RemoveHandler .php
        AllowOverride None
    </Directory>
    
    <Directory __sitebuilder_path__/sites/*/*/__preview/attachments>
        Options -ExecCGI
        RemoveHandler .php
        AllowOverride None
    </Directory>
    
    <Directory __sitebuilder_path__/sites/*/*/__edit/attachments>
        Options -ExecCGI
        RemoveHandler .php
        AllowOverride None
    </Directory>
    
    <Directory __php_path__>
        Options +ExecCGI +FollowSymLinks
        Order allow,deny
        Allow from all
        AllowOverride None
    </Directory>
    
    <IfModule mod_rewrite.c>
        <Directory __sitebuilder_path__>
            RewriteEngine on
            RewriteRule ^$                        index.php  [L]
            RewriteCond %{REQUEST_URI}            ^/[a-z]+/.*$
            RewriteCond %{REQUEST_URI}            [^/]$
            RewriteRule (.*)                      -  [L]
            RewriteCond %{REQUEST_FILENAME}       !-f
            RewriteCond %{REQUEST_FILENAME}       !-d
            RewriteRule (.*)                      index.php/$1  [QSA,L]
        </Directory>
    </IfModule>

</VirtualHost>
